> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedads.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payments

> Ad spend payments that you recorded for the Advertiser. These are visible on the Advertiser's Billing page in the admin portal.

### Path Parameters

<ParamField path="advertiserID" type="string" required={true} placeholder="123">
  The ID of the advertiser.
</ParamField>

### Query Parameters

<ParamField query="limit" type="string" default="10">
  The maximum number of advertisers to return.  Must be between 1 and 20.
</ParamField>

<ParamField query="page" type="string" default="1">
  The page number of the results.
</ParamField>

### Response

<ResponseField name="advertiser_id" type="number">
  The ID of the advertiser.
</ResponseField>

<ResponseField name="id" type="number">
  The ID of the transaction.
</ResponseField>

<ResponseField name="created_at" type="string">
  A timestamp of when the transaction was created.
</ResponseField>

<ResponseField name="type" type="string">
  The type of transaction.
</ResponseField>

<ResponseField name="amount" type="number">
  The amount of the transaction.
</ResponseField>

<ResponseField name="amount_tax" type="number">
  The amount of tax for the transaction.
</ResponseField>

<ResponseField name="receipt_url" type="string">
  The URL of the receipt for the transaction.
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  [
      {
          "advertiser_id": 123,
          "id": 456,
          "created_at": "2020-01-01T00:00:00Z",
          "type": "PAYMENT",
          "amount": 100,
          "amount_tax": 10,
          "receipt_url": "https://example.com/receipt"
      }
  ]
  ```

  ```json 400 theme={null}
  {
      "error": "Page size must be between 1 and 20"
  }
  ```

  ```json 500 theme={null}
  {
      "error": "Internal Server Error"
  }
  ```
</ResponseExample>
